Update a LOA configuration
Update a specific LOA configuration.
PATCH
/
porting
/
loa_configurations
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const loaConfiguration = await client.porting.loaConfigurations.update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{
address: {
city: 'Austin',
country_code: 'US',
state: 'TX',
street_address: '600 Congress Avenue',
zip_code: '78701',
},
company_name: 'Telnyx',
contact: { email: 'testing@telnyx.com', phone_number: '+12003270001' },
logo: { document_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
name: 'My LOA Configuration',
},
);
console.log(loaConfiguration.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
loa_configuration = client.porting.loa_configurations.update(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
address={
"city": "Austin",
"country_code": "US",
"state": "TX",
"street_address": "600 Congress Avenue",
"zip_code": "78701",
},
company_name="Telnyx",
contact={
"email": "testing@telnyx.com",
"phone_number": "+12003270001",
},
logo={
"document_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
name="My LOA Configuration",
)
print(loa_configuration.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
loaConfiguration, err := client.Porting.LoaConfigurations.Update(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.PortingLoaConfigurationUpdateParams{
Address: telnyx.PortingLoaConfigurationUpdateParamsAddress{
City: "Austin",
CountryCode: "US",
State: "TX",
StreetAddress: "600 Congress Avenue",
ZipCode: "78701",
},
CompanyName: "Telnyx",
Contact: telnyx.PortingLoaConfigurationUpdateParamsContact{
Email: "testing@telnyx.com",
PhoneNumber: "+12003270001",
},
Logo: telnyx.PortingLoaConfigurationUpdateParamsLogo{
DocumentID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
Name: "My LOA Configuration",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", loaConfiguration.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.porting.loaconfigurations.LoaConfigurationUpdateParams;
import com.telnyx.sdk.models.porting.loaconfigurations.LoaConfigurationUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
LoaConfigurationUpdateParams params = LoaConfigurationUpdateParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.address(LoaConfigurationUpdateParams.Address.builder()
.city("Austin")
.countryCode("US")
.state("TX")
.streetAddress("600 Congress Avenue")
.zipCode("78701")
.build())
.companyName("Telnyx")
.contact(LoaConfigurationUpdateParams.Contact.builder()
.email("testing@telnyx.com")
.phoneNumber("+12003270001")
.build())
.logo(LoaConfigurationUpdateParams.Logo.builder()
.documentId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build())
.name("My LOA Configuration")
.build();
LoaConfigurationUpdateResponse loaConfiguration = client.porting().loaConfigurations().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
loa_configuration = telnyx.porting.loa_configurations.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
address: {city: "Austin", country_code: "US", state: "TX", street_address: "600 Congress Avenue", zip_code: "78701"},
company_name: "Telnyx",
contact: {email: "testing@telnyx.com", phone_number: "+12003270001"},
logo: {document_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"},
name: "My LOA Configuration"
)
puts(loa_configuration)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$loaConfiguration = $client->porting->loaConfigurations->update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
address: [
'city' => 'Austin',
'countryCode' => 'US',
'state' => 'TX',
'streetAddress' => '600 Congress Avenue',
'zipCode' => '78701',
'extendedAddress' => '14th Floor',
],
companyName: 'Telnyx',
contact: ['email' => 'testing@telnyx.com', 'phoneNumber' => '+12003270001'],
logo: ['documentID' => '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'],
name: 'My LOA Configuration',
);
var_dump($loaConfiguration);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting:loa-configurations update \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--address "{city: Austin, country_code: US, state: TX, street_address: 600 Congress Avenue, zip_code: '78701'}" \
--company-name Telnyx \
--contact "{email: testing@telnyx.com, phone_number: '+12003270001'}" \
--logo '{document_id: 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e}' \
--name 'My LOA Configuration'curl --request PATCH \
--url https://api.telnyx.com/v2/porting/loa_configurations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My LOA Configuration",
"logo": {
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"company_name": "Telnyx",
"address": {
"street_address": "600 Congress Avenue",
"city": "Austin",
"state": "TX",
"zip_code": "78701",
"country_code": "US",
"extended_address": "14th Floor"
},
"contact": {
"email": "testing@telnyx.com",
"phone_number": "+12003270001"
}
}
'{
"data": {
"id": "eef3340b-8903-4466-b445-89b697315a3a",
"company_name": "Telnyx",
"organization_id": "f1486bae-f067-460c-ad43-73a92848f902",
"name": "My LOA Configuration",
"logo": {
"document_id": "f1486bae-f067-460c-ad43-73a92848f902",
"content_type": "image/png"
},
"address": {
"street_address": "600 Congress Avenue",
"extended_address": "14th Floor",
"city": "Austin",
"state": "TX",
"zip_code": "78701",
"country_code": "US"
},
"contact": {
"email": "testing@telnyx.com",
"phone_number": "+12003270001"
},
"record_type": "porting_loa_configuration",
"created_at": "2021-03-19T10:07:15.527000Z",
"updated_at": "2021-03-19T10:07:15.527000Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies a LOA configuration.
Body
application/json
The parameters for creating a new LOA configuration.
The name of the LOA configuration
Example:
"My LOA Configuration"
The logo of the LOA configuration
Show child attributes
Show child attributes
The name of the company
Example:
"Telnyx"
The address of the company.
Show child attributes
Show child attributes
The contact information of the company.
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const loaConfiguration = await client.porting.loaConfigurations.update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{
address: {
city: 'Austin',
country_code: 'US',
state: 'TX',
street_address: '600 Congress Avenue',
zip_code: '78701',
},
company_name: 'Telnyx',
contact: { email: 'testing@telnyx.com', phone_number: '+12003270001' },
logo: { document_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
name: 'My LOA Configuration',
},
);
console.log(loaConfiguration.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
loa_configuration = client.porting.loa_configurations.update(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
address={
"city": "Austin",
"country_code": "US",
"state": "TX",
"street_address": "600 Congress Avenue",
"zip_code": "78701",
},
company_name="Telnyx",
contact={
"email": "testing@telnyx.com",
"phone_number": "+12003270001",
},
logo={
"document_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
name="My LOA Configuration",
)
print(loa_configuration.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
loaConfiguration, err := client.Porting.LoaConfigurations.Update(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.PortingLoaConfigurationUpdateParams{
Address: telnyx.PortingLoaConfigurationUpdateParamsAddress{
City: "Austin",
CountryCode: "US",
State: "TX",
StreetAddress: "600 Congress Avenue",
ZipCode: "78701",
},
CompanyName: "Telnyx",
Contact: telnyx.PortingLoaConfigurationUpdateParamsContact{
Email: "testing@telnyx.com",
PhoneNumber: "+12003270001",
},
Logo: telnyx.PortingLoaConfigurationUpdateParamsLogo{
DocumentID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
Name: "My LOA Configuration",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", loaConfiguration.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.porting.loaconfigurations.LoaConfigurationUpdateParams;
import com.telnyx.sdk.models.porting.loaconfigurations.LoaConfigurationUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
LoaConfigurationUpdateParams params = LoaConfigurationUpdateParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.address(LoaConfigurationUpdateParams.Address.builder()
.city("Austin")
.countryCode("US")
.state("TX")
.streetAddress("600 Congress Avenue")
.zipCode("78701")
.build())
.companyName("Telnyx")
.contact(LoaConfigurationUpdateParams.Contact.builder()
.email("testing@telnyx.com")
.phoneNumber("+12003270001")
.build())
.logo(LoaConfigurationUpdateParams.Logo.builder()
.documentId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build())
.name("My LOA Configuration")
.build();
LoaConfigurationUpdateResponse loaConfiguration = client.porting().loaConfigurations().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
loa_configuration = telnyx.porting.loa_configurations.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
address: {city: "Austin", country_code: "US", state: "TX", street_address: "600 Congress Avenue", zip_code: "78701"},
company_name: "Telnyx",
contact: {email: "testing@telnyx.com", phone_number: "+12003270001"},
logo: {document_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"},
name: "My LOA Configuration"
)
puts(loa_configuration)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$loaConfiguration = $client->porting->loaConfigurations->update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
address: [
'city' => 'Austin',
'countryCode' => 'US',
'state' => 'TX',
'streetAddress' => '600 Congress Avenue',
'zipCode' => '78701',
'extendedAddress' => '14th Floor',
],
companyName: 'Telnyx',
contact: ['email' => 'testing@telnyx.com', 'phoneNumber' => '+12003270001'],
logo: ['documentID' => '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'],
name: 'My LOA Configuration',
);
var_dump($loaConfiguration);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting:loa-configurations update \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--address "{city: Austin, country_code: US, state: TX, street_address: 600 Congress Avenue, zip_code: '78701'}" \
--company-name Telnyx \
--contact "{email: testing@telnyx.com, phone_number: '+12003270001'}" \
--logo '{document_id: 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e}' \
--name 'My LOA Configuration'curl --request PATCH \
--url https://api.telnyx.com/v2/porting/loa_configurations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My LOA Configuration",
"logo": {
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"company_name": "Telnyx",
"address": {
"street_address": "600 Congress Avenue",
"city": "Austin",
"state": "TX",
"zip_code": "78701",
"country_code": "US",
"extended_address": "14th Floor"
},
"contact": {
"email": "testing@telnyx.com",
"phone_number": "+12003270001"
}
}
'{
"data": {
"id": "eef3340b-8903-4466-b445-89b697315a3a",
"company_name": "Telnyx",
"organization_id": "f1486bae-f067-460c-ad43-73a92848f902",
"name": "My LOA Configuration",
"logo": {
"document_id": "f1486bae-f067-460c-ad43-73a92848f902",
"content_type": "image/png"
},
"address": {
"street_address": "600 Congress Avenue",
"extended_address": "14th Floor",
"city": "Austin",
"state": "TX",
"zip_code": "78701",
"country_code": "US"
},
"contact": {
"email": "testing@telnyx.com",
"phone_number": "+12003270001"
},
"record_type": "porting_loa_configuration",
"created_at": "2021-03-19T10:07:15.527000Z",
"updated_at": "2021-03-19T10:07:15.527000Z"
}
}